- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes

# MPxObjectSet Class Reference

# OpenMaya - API module for common classes | Proxy classes

This reference page is linked to from the following overview topics: Parent class descriptions.

Search for all occurrences

## Detailed Description

Parent class of all user defined object sets.

MPxObjectSet is the parent class of all user defined sets.

`#include <MPxObjectSet.h>`

Inheritance diagram for MPxObjectSet:
[legend]

List of all members.

## Public Member Functions
| MPxObjectSet ()
| Class constructor.
virtual | ~MPxObjectSet ()
| Class destructor.
virtual MPxNode::Type | type () const
| Returns the type of node that this is.
virtual bool | canBeDeleted (bool isSrcNode)
| A method that is called whenever a neighboring node is deleted, to check if this node should be deleted alongside or as a result of the neighboring node.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Static Public Attributes
static MObject | dagSetMembers
| Connections to this attribute specify the dagNodes or parts (components) of the same that are members of this set.
static MObject | DNSetMembers
| References to dependNode attributes which defines set membership.
static MObject | memberWireframeColor
| The index of a user defined color in which the dag object component members should appear. Search for all occurrences
static MObject | annotation
| A text string to annotate the set. Search for all occurrences
static MObject | isLayer
| This attribute is obsolete and should no longer be used.
static MObject | verticesOnlySet
| Is set membership restricted to objects with vertices? This attribute should not be explicitly changed by the user.
static MObject | edgesOnlySet
| Is set membership restricted to objects with edges? This attribute should not be explicitly changed by the user.
static MObject | facetsOnlySet
| Is set membership restricted to objects with facets? This attribute should not be explicitly changed by the user.
static MObject | editPointsOnlySet
| Is set membership restricted to objects with edit points? This attribute should not be explicitly changed by the user.
static MObject | renderableOnlySet
| Is set membership restricted to renderable objects only? This attribute should not be explicitly changed by the user. Search for all occurrences
static MObject | partition
| References to the partition nodes this set is a member of.
static MObject | groupNodes
| When parts (components) of dagNodes are in the set, connections are made to this attribute to hold references to groupId nodes, with the id uniquely identifying the group in the dagNode. Search for all occurrences
static MObject | usedByNodes
| References to nodes that operate upon this set, such as deformers. Search for all occurrences

## Constructor & Destructor Documentation

MPxObjectSet | ( |  | ) |

Class constructor.

Any calls the MPxObjectSet methods must be done in the postConstructor method and not here.

## Member Function Documentation

MPxNode::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the type of node that this is.

This is used to differentiate user defined nodes that are derived off different MPx base classes.

It is not necessary to override this method.

Returns:
  Type of the node (MPxNode::kObjectSet)

Reimplemented from MPxNode.

bool canBeDeleted | ( | bool | isSrcNode | ) | `[virtual]`

Search for all occurrences

A method that is called whenever a neighboring node is deleted, to check if this node should be deleted alongside or as a result of the neighboring node.

This method will not be called in the case where construction history is being deleted.

By default, the object set will be deleted when all of the following criteria are met:

- The object set is not locked
- The object set is deletable
- No connections to usedByNodes exist.
- No connections to dagSM and to DNSM, i.e., no members in the set.
- No connection to groupNodes and to DNSM and no full dagObject members

It is not necessary to override this method.

Parameters:

  [in] | isSrcNode | True if this node is the source node of the connection to the neighboring node.

Returns:
  - true Delete this node
  - false Do not delete this node

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

Reimplemented from MPxNode.

## Member Data Documentation

MObject dagSetMembers `[static]`

Search for all occurrences

Connections to this attribute specify the dagNodes or parts (components) of the same that are members of this set.

MObject memberWireframeColor `[static]`

Search for all occurrences

The index of a user defined color in which the dag object component members should appear.

A value of -1 disables use of the color. Values outside the range [-1,7] may give unpredictable results.

MObject verticesOnlySet `[static]`

Search for all occurrences

Is set membership restricted to objects with vertices? This attribute should not be explicitly changed by the user.

MObject edgesOnlySet `[static]`

Search for all occurrences

Is set membership restricted to objects with edges? This attribute should not be explicitly changed by the user.

MObject facetsOnlySet `[static]`

Search for all occurrences

Is set membership restricted to objects with facets? This attribute should not be explicitly changed by the user.

MObject editPointsOnlySet `[static]`

Search for all occurrences

Is set membership restricted to objects with edit points? This attribute should not be explicitly changed by the user.

MObject renderableOnlySet `[static]`

Search for all occurrences

Is set membership restricted to renderable objects only? This attribute should not be explicitly changed by the user.

MObject groupNodes `[static]`

Search for all occurrences

When parts (components) of dagNodes are in the set, connections are made to this attribute to hold references to groupId nodes, with the id uniquely identifying the group in the dagNode.

MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet
MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet MPxObjectSet